/*
 * Controller.java
 */

package catandmouse;

import java.awt.BorderLayout;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionListener;
import javax.swing.JFrame;
import javax.swing.JLabel;

/**
 * A controller
 */
public class Controller {
    /** the world (the model) */
    private World world;
    
    /** the view */
    private View view;
    
    /** the status line */
    private JLabel status;
    
    /** the window */
    private JFrame frame;
    
    /**
     * Creates a new instance of Controller 
     */
    public Controller() {
        // create the view and the world
        world = new World();
        view = new View(world);
        
        status = new JLabel("Find the mouse in the hole");
        
        // set up the window with its contents
        frame = new JFrame("Cat and Mouse");
        frame.setDefaultCloseOperation(frame.EXIT_ON_CLOSE);
        frame.add(view, BorderLayout.CENTER);
        frame.add(status, BorderLayout.SOUTH);
        frame.pack();
        frame.setVisible(true);
        initialize();
    }    

    /**
     * What goes here???
     */
    public void initialize() {
        // what goes here????
    }
        
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        new Controller();
    }
    
}
